# Generated by Django 4.1.5 on 2023-04-11 12:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("isa", "0002_alter_datafile_checksum_method"),
    ]

    operations = [
        migrations.CreateModel(
            name="Funder",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Funder name")),
                (
                    "funderId",
                    models.TextField(blank=True, help_text="Funder id", null=True),
                ),
                (
                    "idType",
                    models.TextField(blank=True, help_text="Funder id", null=True),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Partner",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.TextField(help_text="Partner name")),
                (
                    "partnerId",
                    models.TextField(blank=True, help_text="Partner id", null=True),
                ),
                (
                    "idType",
                    models.TextField(blank=True, help_text="Partner id", null=True),
                ),
            ],
        ),
        migrations.AddField(
            model_name="personcontact",
            name="idType",
            field=models.TextField(
                blank=True, help_text="Person Contact id", null=True
            ),
        ),
        migrations.AddField(
            model_name="personcontact",
            name="personContactId",
            field=models.TextField(
                blank=True, help_text="Person Contact id", null=True
            ),
        ),
        migrations.CreateModel(
            name="Funding",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "fundingId",
                    models.TextField(blank=True, help_text="Funding id", null=True),
                ),
                (
                    "idType",
                    models.TextField(blank=True, help_text="Funding id", null=True),
                ),
                (
                    "fundingStatus",
                    models.TextField(blank=True, help_text="Funding status", null=True),
                ),
                (
                    "funder",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="isa.funder"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="investigation",
            name="funding",
            field=models.ManyToManyField(to="isa.funding"),
        ),
        migrations.AddField(
            model_name="investigation",
            name="partners",
            field=models.ManyToManyField(to="isa.partner"),
        ),
    ]
